package com.yunzhi.marketing.xlk.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 特价房源表 
 * </p>
 *
 * @author jobob
 * @since 2021-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_building_special_room")
public class BuildingSpecialRoom implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 特价房源id
     */
    @TableId(type = IdType.UUID)
    private String specialRoomId;

    /**
     * 房源名称
     */
    private String roomName;

    /**
     * 户型
     */
    private String unitType;

    /**
     * 面积
     */
    private String area;

    /**
     * 开始时间
     */
    private LocalDateTime startTime;

    /**
     * 结束时间
     */
    private LocalDateTime endTime;

    /**
     * 原始价格
     */
    private String originalPrice;

    /**
     * 现价格
     */
    private String currentPrice;

    /**
     * 节省价格
     */
    private String thriftPrice;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;


}
