package com.yunzhi.marketing.xlk.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 渠道报备客户表 
 * </p>
 *
 * @author jobob
 * @since 2021-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_channel_customer")
public class ChannelCustomer implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "channel_customer_id", type = IdType.UUID)
    private String channelCustomerId;

    /**
     * 客户id
     */
    private String customerId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 到访时间
     */
    private LocalDateTime visitDate ;
    /** 认筹时间 */
    private LocalDateTime preparatoryDate ;
    /** 签约时间 */
    private LocalDateTime signedDate ;
    /** 结佣时间 */
    private LocalDateTime commissionDate ;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;


    /**
     * 楼盘名称
     */
    @TableField(exist = false)
    private String buildingName;

    /**
     * 电话
     */
    private String phone;

    /**
     * 昵称
     */
    private String name;

    /**
     * 头像
     */
    private String picture;

    /**
     * 性别
     */
    private Integer sex;

    /**
     * personId
     */
    private String personId;

    /**
     * 推荐人 personid
     */
    private String recommendPerson;

    /**
     * 状态 1是审核中 2是审核通过 3是审核不通过
     */
    private String status;

    /**
     * 渠道id
     */
    private Integer channelId;

    /**
     * 置业顾问
     */
    private String realtyConsultant;

    /**
     * 备注
     */
    private String remark;

    /**
     * 推荐人姓名
     */
    @TableField(exist = false)
    private String recommendPersonName;

    /**
     * 推荐人手机
     */
    @TableField(exist = false)
    private String recommendPhone;
}
