package com.yunzhi.marketing.xlk.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目动态表 
 * </p>
 *
 * @author jobob
 * @since 2021-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_trend")
public class Trend implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 动态id
     */
    @TableId(type = IdType.UUID)
    private String trendId;

    /**
     * 动态时间
     */
    private LocalDateTime trendTime;

    /**
     * 动态标题
     */
    private String trendTitle;

    /**
     * 动态内容
     */
    private String trendContent;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;


}
